UpperTesterDenmCodec Class Reference

`#include <UpperTesterDenmCodec.hh>`

Inheritance diagram for UpperTesterDenmCodec:

## Public Member Functions

| UpperTesterDenmCodec ()
virtual | ~UpperTesterDenmCodec ()
virtual int | encode (const Record_Type &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, Record_Type &, Params *params=NULL)
| Encode typed message into an octet string format. More...
std::unique_ptr< Base_Type > | decode (const OCTETSTRING &data, Params *params=NULL)
Public Member Functions inherited from Codec< Record_Type, Record_Type >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions

int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode (const OCTETSTRING &data, LibItsDenm__TypesAndValues::UtDenmResults &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsDenm__TypesAndValues::UtDenmEventInd &msg, Params *params=NULL)

## Private Attributes

const unsigned char | c_utDenmInitialize = 0x00
const unsigned char | c_utDenmInitializeResult = 0x01
const unsigned char | c_utDenmChangePosition = 0x02
const unsigned char | c_utDenmChangePositionResult = 0x03
const unsigned char | c_utDenmChangePseudonym = 0x04
const unsigned char | c_utDenmChangePseudonymResult = 0x05
const unsigned char | c_utDenmTrigger = 0x10
const unsigned char | c_utDenmTriggerResult = 0x11
const unsigned char | c_utDenmUpdate = 0x12
const unsigned char | c_utDenmUpdateResult = 0x13
const unsigned char | c_utDenmTermination = 0x14
const unsigned char | c_utDenmTerminationResult = 0x15
const unsigned char | c_utDenmEventInd = 0x17

## Additional Inherited Members

Protected Attributes inherited from Codec< Record_Type, Record_Type >
Params * | _params

## Constructor & Destructor Documentation

## UpperTesterDenmCodec()

UpperTesterDenmCodec::UpperTesterDenmCodec | ( |  | ) |

inline

## ~UpperTesterDenmCodec()

virtual UpperTesterDenmCodec::~UpperTesterDenmCodec | ( |  | ) |

inlinevirtual

## Member Function Documentation

## decode() [1/4]

int UpperTesterDenmCodec::decode | ( | const OCTETSTRING & | p_,
|  | Record_Type & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |

virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## decode() [2/4]

std::unique_ptr< Base_Type > UpperTesterDenmCodec::decode | ( | const OCTETSTRING & | data,
|  | Params * | params = `NULL`
| ) |  |

## decode() [3/4]

int UpperTesterDenmCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsDenm__TypesAndValues::UtDenmResults & | msg,
|  | Params * | params = `NULL`
| ) |  |

private

## decode() [4/4]

int UpperTesterDenmCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsDenm__TypesAndValues::UtDenmEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |

private

## encode()

int UpperTesterDenmCodec::encode | ( | const Record_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |

virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## encode_()

int UpperTesterDenmCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |

private

## Member Data Documentation

## c_utDenmChangePosition

const unsigned char UpperTesterDenmCodec::c_utDenmChangePosition = 0x02

private

## c_utDenmChangePositionResult

const unsigned char UpperTesterDenmCodec::c_utDenmChangePositionResult = 0x03

private

## c_utDenmChangePseudonym

const unsigned char UpperTesterDenmCodec::c_utDenmChangePseudonym = 0x04

private

## c_utDenmChangePseudonymResult

const unsigned char UpperTesterDenmCodec::c_utDenmChangePseudonymResult = 0x05

private

## c_utDenmEventInd

const unsigned char UpperTesterDenmCodec::c_utDenmEventInd = 0x17

private

## c_utDenmInitialize

const unsigned char UpperTesterDenmCodec::c_utDenmInitialize = 0x00

private

## c_utDenmInitializeResult

const unsigned char UpperTesterDenmCodec::c_utDenmInitializeResult = 0x01

private

## c_utDenmTermination

const unsigned char UpperTesterDenmCodec::c_utDenmTermination = 0x14

private

## c_utDenmTerminationResult

const unsigned char UpperTesterDenmCodec::c_utDenmTerminationResult = 0x15

private

## c_utDenmTrigger

const unsigned char UpperTesterDenmCodec::c_utDenmTrigger = 0x10

private

## c_utDenmTriggerResult

const unsigned char UpperTesterDenmCodec::c_utDenmTriggerResult = 0x11

private

## c_utDenmUpdate

const unsigned char UpperTesterDenmCodec::c_utDenmUpdate = 0x12

private

## c_utDenmUpdateResult

const unsigned char UpperTesterDenmCodec::c_utDenmUpdateResult = 0x13

private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterDenmCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterDenmCodec.cc